<div class='content__app'>
  <div class='app__title'>
    <div class='app__title--value'>Ứng dụng</div>
    <div class='app__title--border'>
      <hr>
    </div>
    <div class='app__title--action'>
      <mb-button mbButtonBgColor='#fff' mbButtonIconType='AWESOME' mbPrefixIcon='far fa-pen' mbButtonTextColor='#141ED2' mbButtonType='NO_BORDER'></mb-button>
    </div>
  </div>
  <div class="app__cnt--block">
    <div class='app_item app_item--card' *ngIf="apps && apps.length > 0">
      <swiper #swiperComponent [config]='swiperConfig' [slidesPerView]='slidesPerView' [loop]='false' [spaceBetween]='wSpace' [virtual]='true' (slideChange)='slideChangeEvent()'>
        <ng-template swiperSlide *ngFor='let app of apps; index as i'>
          <mb-card-item (click)="downloadFile(app.downloadFile)" mbRouterLink='{{app.url}}' mbTitle='{{app.title}}' mbIconPath='{{app.iconPath}}'
                        style='width: 100%' [mbIsDisable]='app.disabled' [mbIsOpenNewTab]='app.openNewTab'></mb-card-item>
        </ng-template>
      </swiper>
    </div>
    <div class="group__prev__next">
      <span *ngIf='activeIndex != 0' (click)='swipePrev()' class='icon__sw icon__sw--prev'><em class='far fa-angle-left'></em></span>
      <span *ngIf='activeIndex != (apps.length - slidesPerView)' (click)='swipeNext()' class='icon__sw icon__sw--next'><em class='far fa-angle-right'></em></span>
    </div>
  </div>
</div>
